org.jCharts.chartText

## Class BarValueGroup.BarValue

- java.lang.Object
- - org.jCharts.chartText.TextTag
  - - org.jCharts.chartText.BarValueGroup.BarValue

- All Implemented Interfaces:
    Serializable, HTMLTestable
  Enclosing class:
    BarValueGroup

      protected class BarValueGroup.BarValue
      extends TextTag

  Helper class to handle a barValue - wraps TextTag Meant to be called only by BarValueGroup class.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Rectangle2D.Float` | `barRect`
    `private boolean` | `isNegative`
    `private int` | `startPosition`
    `private String` | `text`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BarValue(String text, Font font, FontRenderContext fontRenderContext, Rectangle2D.Float barRect, int startPosition, boolean isNegative)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Rectangle2D.Float` | `getBarRect()`
    `boolean` | `getIsNegative()`
    `int` | `getStartPosition()`
    `String` | `getText()`

    - ### Methods inherited from class org.jCharts.chartText.TextTag

      `addAttribute, getAttribute, getBottomSide, getFontAscent, getFontDescent, getHeight, getHidden, getRectangle, getRightSide, getWidth, getXPosition, getYPosition, render, render, setHidden, setPosition, setXPosition, setYPosition, toHTML, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### barRect

          private Rectangle2D.Float barRect

    - #### startPosition

          private int startPosition

    - #### isNegative

          private boolean isNegative

    - #### text

          private String text

  - ### Constructor Detail

    - #### BarValue

          public BarValue(String text,
                          Font font,
                          FontRenderContext fontRenderContext,
                          Rectangle2D.Float barRect,
                          int startPosition,
                          boolean isNegative)

  - ### Method Detail

    - #### getBarRect

          public Rectangle2D.Float getBarRect()

    - #### getStartPosition

          public int getStartPosition()

    - #### getIsNegative

          public boolean getIsNegative()

    - #### getText

          public String getText()

      Overrides:
        `getText` in class `TextTag`